PETSc version 3.17.4
Fix/Edit manual page

# DMLabelGetValueIS

Get an IS of all values that the DMlabel takes

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetValueIS(DMLabel label, IS *values)

Not collective

### Input Parameter

| label | - the DMLabel

### Output Parameter

| is | - the value IS

### Notes

The output IS should be destroyed when no longer needed. Strata which are allocated but empty [DMLabelGetStratumSize() yields 0] are counted. If you need to count only nonempty strata, use DMLabelGetNonEmptyStratumValuesIS().

### See Also

DMLabelGetNonEmptyStratumValuesIS(), DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c

### Examples

src/dm/impls/plex/tutorials/ex10.c.html
src/dm/label/tutorials/ex1.c.html
src/dm/label/tutorials/ex1f90.F90.html
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages